Security Enhanced Linux Reference Policy

# Layer: admin

## Module: netutils

Tunables Interfaces

### Description:

Network analysis utilities

### Tunables:

user_ping

##### Default value

false

##### Description

Control users use of ping and traceroute

Return

### Interfaces:

netutils_domtrans( domain )

##### Summary

Execute network utilities in the netutils domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

netutils_domtrans_ping( domain )

##### Summary

Execute ping in the ping domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

netutils_domtrans_traceroute( domain )

##### Summary

Execute traceroute in the traceroute domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

netutils_exec( domain )

##### Summary

Execute network utilities in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

netutils_exec_ping( domain )

##### Summary

Execute ping in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

netutils_exec_traceroute( domain )

##### Summary

Execute traceroute in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

netutils_kill_ping( domain )

##### Summary

Send a kill (SIGKILL) signal to ping.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

netutils_run( domain , role )

##### Summary

Execute network utilities in the netutils domain, and allow the specified role the netutils domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

netutils_run_ping( domain , role )

##### Summary

Execute ping in the ping domain, and allow the specified role the ping domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

netutils_run_ping_cond( domain , role )

##### Summary

Conditionally execute ping in the ping domain, and allow the specified role the ping domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

netutils_run_traceroute( domain , role )

##### Summary

Execute traceroute in the traceroute domain, and allow the specified role the traceroute domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

netutils_run_traceroute_cond( domain , role )

##### Summary

Conditionally execute traceroute in the traceroute domain, and allow the specified role the traceroute domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

netutils_signal( domain )

##### Summary

Send generic signals to network utilities.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

netutils_signal_ping( domain )

##### Summary

Send generic signals to ping.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return